Bug 441966 - cluster-snmp dlopen failure
Summary: cluster-snmp dlopen failure
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: clustermon   
(Show other bugs)
Version: 4
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Ryan McCabe
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-10 21:35 UTC by Ryan McCabe
Modified: 2009-04-16 20:37 UTC (History)
5 users (show)

Fixed In Version: RHBA-2008-0797
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 19:06:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0797 normal SHIPPED_LIVE clustermon bug fix update 2008-07-25 19:06:25 UTC

Description Ryan McCabe 2008-04-10 21:35:01 UTC
+++ This bug was initially created as a clone of Bug #441947 +++

Description of problem:

Starting snmpd after adding the configuration as outlined in the cluster-snmp
README, the followign is logged to /var/log/messages:

Apr 10 15:08:18 rhcs-rhel5-02 snmpd[2331]: dlopen failed:
/usr/lib64/cluster-snmp/libClusterMonitorSnmp.so: undefined symbol: cman_init 

I receive a the same error on an i386 install

Apr 10 17:08:18 rhcs-rhel5-02 snmpd[1827]: dlopen failed:
/usr/lib/cluster-snmp/libClusterMonitorSnmp.so: undefined symbol: cman_init 


Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux Server release 5.1 (Tikanga)
cman-2.0.73-1.el5_1.5
modcluster-0.10.0-5.el5_1.1
cluster-snmp-0.10.0-5.el5_1.1

How reproducible:

Install cluster-snmp package and dependencies. Follow the instructions in
/usr/share/doc/cluster-snmp-0.10.0/README.snmpd. View logged entry regarding
'undefined symbol' in /var/log/messages.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

-- Additional comment from rmccabe@redhat.com on 2008-04-10 17:34 EST --
Created an attachment (id=302077)
patch for undefined symbol

Comment 2 RHEL Product and Program Management 2008-04-10 21:48:02 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Brian Brock 2008-04-14 22:31:32 UTC
setting QA_ACK

Comment 6 errata-xmlrpc 2008-07-25 19:06:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0797.html



Note You need to log in before you can comment on or make changes to this bug.